motion_mode_candidate Struct Reference

Motion mode information for inter mode search speedup. More...

## Data Fields

MB_MODE_INFO | mbmi
int | rate_mv
int | rate2_nocoeff
int | skip_motion_mode
int64_t | rd_cost

## Detailed Description

Motion mode information for inter mode search speedup.

Used in a speed feature to search motion modes other than SIMPLE_TRANSLATION only on winning candidates.

## Field Documentation

## mbmi

MB_MODE_INFO motion_mode_candidate::mbmi

Mode info for the motion mode candidate.

## rate_mv

int motion_mode_candidate::rate_mv

Rate describing the cost of the motion vectors for this candidate.

Referenced by handle_inter_mode().

## rate2_nocoeff

int motion_mode_candidate::rate2_nocoeff

Rate before motion mode search and transform coding is applied.

Referenced by handle_inter_mode().

## skip_motion_mode

int motion_mode_candidate::skip_motion_mode

An integer value 0 or 1 which indicates whether or not to skip the motion mode search and default to SIMPLE_TRANSLATION as a speed feature for this candidate.

Referenced by av1_rd_pick_inter_mode().

## rd_cost

int64_t motion_mode_candidate::rd_cost

Total RD cost for this candidate.

The documentation for this struct was generated from the following file:

- av1/encoder/rdopt.c